Package com.trilead.ssh2.packets

# Class PacketKexDHReply

java.lang.Object
com.trilead.ssh2.packets.PacketKexDHReply

public class PacketKexDHReply extends Object
PacketKexDHReply.

## Constructor Summary

Constructors
Constructor
Description
`PacketKexDHReply(byte[] payload, int off, int len)`

## Method Summary

Modifier and Type
Method
Description
`BigInteger`
`getF()`
`byte[]`
`getHostKey()`
`byte[]`
`getSignature()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PacketKexDHReply

public PacketKexDHReply(byte[] payload, int off, int len) throws IOException

Throws:
  `IOException`

## Method Details

### getF

public BigInteger getF()

### getHostKey

public byte[] getHostKey()

### getSignature

public byte[] getSignature()